{% if awx_webhook_payload.data.custom_fields.port_security and not awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
 switchport port-security
 switchport port-security mac-address sticky
{% endif %}
{% if awx_webhook_payload.data.custom_fields.portsecmax and not awx_webhook_payload.data.custom_fields.PortProfile %}
 switchport port-security maximum {{ awx_webhook_payload.data.custom_fields.portsecmax }}
{% endif %}
{% if awx_webhook_payload.data.custom_fields.mac_sticky_address and not awx_webhook_payload.data.custom_fields.PortProfile %}
{% set mac_addresses = awx_webhook_payload.data.custom_fields.mac_sticky_address.split(",") | unique %}
{% for mac in mac_addresses %}
 switchport port-security mac-address sticky {{ mac.strip() }}
{% endfor %}
{% else %}
 #
{% endif %}
